### Method

# Shell Screenshot screenshot

#### Declaration [src]

    void
    shell_screenshot_screenshot (
      ShellScreenshot* screenshot,
      gboolean include_cursor,
      GOutputStream* stream,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Takes a screenshot of the whole screen in `stream` as png image.

This method completes asynchronously. Use `shell_screenshot_screenshot_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`include_cursor`

  Type: `gboolean`

  Whether to include the cursor or not.

`stream`

  Type: `GOutputStream`

  The stream for the screenshot.

  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Function to call returning success or failure of the async grabbing.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.